summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: e90068a)
raw | patch | inline | side by side (parent: e90068a)
author | Eric Wong <normalperson@yhbt.net> | |
Mon, 1 Jan 2007 05:49:45 +0000 (21:49 -0800) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Mon, 1 Jan 2007 07:40:52 +0000 (23:40 -0800) |
We require the libraries now, so we can create repositories
using them (and save some executable load time while we're at
it).
Signed-off-by: Eric Wong <normalperson@yhbt.net>
Signed-off-by: Junio C Hamano <junkio@cox.net>
using them (and save some executable load time while we're at
it).
Signed-off-by: Eric Wong <normalperson@yhbt.net>
Signed-off-by: Junio C Hamano <junkio@cox.net>
t/lib-git-svn.sh | patch | blob | history |
diff --git a/t/lib-git-svn.sh b/t/lib-git-svn.sh
index 99ada71349c7eaa0536bba1d622f7f7ffa56110e..af42ccc8d157e54b97de435194d22e5ed895ab4b 100644 (file)
--- a/t/lib-git-svn.sh
+++ b/t/lib-git-svn.sh
exit
fi
-perl -e 'use SVN::Core; $SVN::Core::VERSION gt "1.1.0" or die' >/dev/null 2>&1
-if test $? -ne 0
-then
- test_expect_success 'Perl SVN libraries not found, skipping test' :
- test_done
- exit
-fi
-
GIT_DIR=$PWD/.git
GIT_SVN_DIR=$GIT_DIR/svn/git-svn
SVN_TREE=$GIT_SVN_DIR/svn-tree
-svnadmin >/dev/null 2>&1
-if test $? -ne 1
-then
- test_expect_success 'skipping git-svn tests, svnadmin not found' :
- test_done
- exit
-fi
-
svn >/dev/null 2>&1
if test $? -ne 1
then
svnrepo=$PWD/svnrepo
-set -e
-
-if svnadmin create --help | grep fs-type >/dev/null
+perl -w -e "
+use SVN::Core;
+use SVN::Repos;
+\$SVN::Core::VERSION gt '1.1.0' or exit(42);
+SVN::Repos::create('$svnrepo', undef, undef, undef,
+ { 'fs-config' => 'fsfs'});
+"
+x=$?
+if test $x -ne 0
then
- svnadmin create --fs-type fsfs "$svnrepo"
-else
- svnadmin create "$svnrepo"
+ if test $x -eq 42; then
+ err='Perl SVN libraries must be >= 1.1.0'
+ else
+ err='Perl SVN libraries not found or unusable, skipping test'
+ fi
+ test_expect_success "$err" :
+ test_done
+ exit
fi
svnrepo="file://$svnrepo"